#!/usr/local/bin/perl
# Enable or disable firewall at boot time

require './simple-firewall-lib.pl';
&ReadParse();

# Create the wrapper script
$start_wrapper_script = "$module_config_directory/apply.pl";
$stop_wrapper_script = "$module_config_directory/stop.pl";
&cron::create_wrapper($start_wrapper_script, $module_name, "apply.pl");
&cron::create_wrapper($stop_wrapper_script, $module_name, "stop.pl");

if ($in{'bootup'}) {
	&init::enable_at_boot($module_name,
			      "Start or stop the simple firewall",
			      $start_wrapper_script,
			      $stop_wrapper_script);
	}
else {
	&init::disable_at_boot($module_name);
	}

&redirect("");

