#!/usr/local/bin/perl
# Edit or create a service

require './simple-firewall-lib.pl';
&ReadParse();
if ($in{'new'}) {
	&ui_print_header(undef, $text{'edit_title1'}, "");
	$serv = { 'proto' => 'tcp',
		  'allow' => 0,
		  'mode' => 1 };
	}
else {
	&ui_print_header(undef, $text{'edit_title2'}, "");
	$serv = &get_service($in{'id'});
	}

print &ui_form_start("save.cgi", "post");
print &ui_hidden("new", $in{'new'});
print &ui_hidden("id", $in{'id'});
print &ui_table_start($text{'edit_header'}, "100%", 2);

print &ui_table_row($text{'edit_serv'},
		    &ui_radio("all", $serv->{'serv'} ? 0 : 1,
			      [ [ 1, $text{'index_sall'} ],
				[ 0, " " ] ]).
		    &ui_textbox("serv", $serv->{'serv'}, 30));

print &ui_table_row($text{'edit_proto'},
		    &ui_select("proto", $serv->{'proto'},
			       [ [ "tcp", "TCP" ], [ "udp", "UDP" ] ]));

print &ui_table_row($text{'edit_action'},
		    &ui_radio("action", $serv->{'allow'} ? 1 : 0,
			      [ [ 1, $text{'index_allow'} ],
				[ 0, $text{'index_deny'} ] ]));

print &ui_table_row($text{'edit_hosts'},
		    &ui_radio("mode", $serv->{'mode'},
			      [ [ 0, $text{'index_all'} ],
				[ 1, $text{'edit_sel'} ] ])."<br>".
		    &ui_textarea("hosts", join("\n", split(/\s+/, $serv->{'hosts'})), 5, 40));

print &ui_table_end();
if ($in{'new'}) {
	print &ui_form_end([ [ "create", $text{'create'} ] ]);
	}
else {
	print &ui_form_end([ [ "save", $text{'save'} ],
			     [ "delete", $text{'delete'} ] ]);
	}

&ui_print_footer("", $text{'index_return'});
