#!/usr/local/bin/perl
# Create, update or delete a service

require './simple-firewall-lib.pl';
&ReadParse();
$serv = &get_service($in{'id'}) if (!$in{'new'});

if ($in{'delete'}) {
	# Just delete
	&delete_service($serv);
	}
else {
	# Validate inputs
	&error_setup($text{'save_err'});
	if ($in{'all'}) {
		delete($serv->{'serv'});
		}
	else {
		$in{'serv'} || &error($text{'save_eserv'});
		if ($in{'serv'} !~ /^\d+$/) {
			getservbyname($in{'serv'}, $in{'proto'}) ||
				&error($text{'save_eserv2'});
			}
		$serv->{'serv'} = $in{'serv'};
		}
	$serv->{'proto'} = $in{'proto'};
	if ($in{'action'} == 1) {
		$serv->{'allow'} = 1;
		$serv->{'deny'} = 0;
		}
	else {
		$serv->{'allow'} = 0;
		$serv->{'deny'} = 1;
		}
	$serv->{'mode'} = $in{'mode'};
	if ($in{'mode'} == 1) {
		@hosts = split(/\s+/, $in{'hosts'});
		foreach $h (@hosts) {
			gethostbyname($h) ||
			   $h =~ /^(\d+)\.(\d+)\.(\d+)\.(\d+)\/(\d+)$/ ||
			   &check_ethernet($h) ||
			      &error(&text('save_ehost', $h));
			}
		@hosts || &error($text{'save_ehosts'});
		$serv->{'hosts'} = join(" ", @hosts);
		}
	else {
		delete($serv->{'hosts'});
		}

	# Save it
	&save_service($serv);
	}

&redirect("");

